Update a registration for an event

Updates an existing event registration. Only the fields included in the request body are modified. Commonly used to record attendance after the event.

Path Parameters
  • event_id
    Type: string
    required

    Unique identifier of the event.

  • registration_id
    Type: string
    required

    Unique identifier of the registration.

Body
required
application/json

Any field from the event schema can be updated. Only fields included in the request body are modified.

  • attended
    Type: boolean

    Whether the registrant attended.

  • response
    Type: stringenum

    Attendance response.

    values
    • Yes
    • No
    • Maybe
  • propertyName
    Type: anything
Responses
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for patch/apis/events/events/{event_id}/registrations/{registration_id}
curl https://school.fullfabric.cloud/apis/events/events/507f1f77bcf86cd799439011/registrations/507f1f77bcf86cd799439011 \
  --request PATCH \
  --header 'Content-Type: application/json' \
  --header 'FF-Auth: YOUR_SECRET_TOKEN' \
  --data '{
  "response": "Yes",
  "attended": true
}'
[
  {
    "additionalProperty": "anything"
  }
]